# Generated by Django 2.2.15 on 2020-10-24 05:24

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('mentorship', '0054_auto_20201009_1518'),
    ]

    operations = [
        migrations.AlterField(
            model_name='mentorshipactivity',
            name='activity_type',
            field=models.IntegerField(choices=[(1, 'Set of Goals Created'), (2, 'Goal Completed'), (3, 'Note Created'), (4, 'Meeting Scheduled'), (5, 'Meeting Cancelled'), (6, 'Connection Made'), (7, 'Connection Ended'), (8, 'Mentor Became Active')]),
        ),
        migrations.CreateModel(
            name='MentorActiveWindow',
            fields=[
                ('mentorshipactivity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='mentorship.MentorshipActivity')),
                ('active_end', models.DateTimeField(null=True)),
                ('mentor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mentorship.Mentor')),
            ],
            bases=('mentorship.mentorshipactivity',),
        ),
    ]
